Subject: bug#40856: Feature request: support arbitrary propertized strings in wrap-prefix specifications

From: Clément Pit-Claudel <[email-masked]>
Date: Sun, 26 Apr 2020 14:25:32 -0400

On 26/04/2020 13.43, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Clément Pit-Claudel <[email-masked]>
>> Date: Sun, 26 Apr 2020 13:23:15 -0400
>>
>> What I meant to say is that if it's cheap enough to draw this:
>>
>> ⟝ bbbbbbbbbbb
>> ⟝ bbbbbbbbbbb
>> ⟝ bbbbbbbbbbb
>> ⟝ bbbbbbbbbbb
>> ⟝ bbbbbbbbbbb
>>
>> (where "⟝" is a wrap-prefix on all lines but the first)
>>
>> … then it should be cheap enough to draw this:
>>
>> ⟝ bbbbbbbbbbb
>>    bbbbbbbbbbb
>>    bbbbbbbbbbb
>>    bbbbbbbbbbb
>>    bbbbbbbbbbb
>>
>> where the indentation is a specified space as wide as "⟝".
> 
> And what I meant is that the second one is more expensive, because for
> each line but the first, Emacs will have to produce glyphs both for
> "⟝" (to obtain its width) and for the stretch of space.

Got it. I assumed that producing a stretch of space was cheap.